package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[字段排序方向]
 */
@Component("ionicdemo_SortDirCodeList")
public class SortDirCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_SortDir");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("ASC");
		item0.setId("ASC");
		item0.setText("升序");
		item0.setLabel("升序");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("ASC",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("DESC");
		item1.setId("DESC");
		item1.setText("降序");
		item1.setLabel("降序");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("DESC",item1);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}